<?xml version="1.0"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->
<configuration>
  <configSections>
    <sectionGroup name="QQSectionGroup">
      <section name="QzoneSection" type="System.Configuration.NameValueSectionHandler,System, Version=4.0.0.0, Culture=neutral,PublicKeyToken=b77a5c561934e089"/>
    </sectionGroup>
    <sectionGroup name="TaobaoSectionGroup">
      <section name="TaobaoSection" type="System.Configuration.NameValueSectionHandler,System, Version=4.0.0.0, Culture=neutral,PublicKeyToken=b77a5c561934e089"/>
    </sectionGroup>
  </configSections>
  <QQSectionGroup>
    <QzoneSection>
      <add key="AppKey" value="100247671"/>
      <add key="AppSecret" value="ca2b22525f2e6fe136cda8cc32e8a46b"/>
      <add key="CallBackURI" value="http://www.mutouhezi.com/Account/QQAuth.aspx"/>
      <add key="AuthorizeURL" value="https://graph.qq.com/oauth2.0/authorize"/>
    </QzoneSection>
  </QQSectionGroup>
  <TaobaoSectionGroup>
    <TaobaoSection>
      <add key="AppKey" value="12645328"/>
      <add key="AppSecret" value="959964ead918ff16a1590067ad23c4d9"/>
      <add key="CallBackURI" value="http://www.mutouhezi.com/Account/TaobaoAuth.aspx"/>
      <add key="AuthorizeURL" value="https://oauth.taobao.com/authorize"/>
    </TaobaoSection>
  </TaobaoSectionGroup>
  <appSettings>
    <add key="log4net.Config" value="Log4Net.config"/>
    <add key="mail.Config" value="mail.config"/>
    <add key="imageRootFolder" value="E:\work\images"/>
    <add key="profilePhotoRootFolder" value="E:\work\images\profile"/>
    <add key="appKey" value="981182563"/>
    <add key="appSecret" value="f7ff3f213df803267d01c91f27289db0"/>
  </appSettings>
  <connectionStrings>
    <add name="DatabaseConnectionString" connectionString="Server=localhost\SQLExpress;Database=MutouheziDatabase;Integrated Security=true" providerName="System.Data.SqlClient"/>
  </connectionStrings>
  <system.net>
    <settings>
      <httpWebRequest useUnsafeHeaderParsing="true"/>
    </settings>
  </system.net>
  <system.diagnostics>
    <sources>
      <source name="System.ServiceModel" switchValue="Information, ActivityTracing" propagateActivity="true">
        <listeners>
          <add name="traceListener" type="System.Diagnostics.XmlWriterTraceListener" initializeData="E:\temp\Traces.svclog"/>
        </listeners>
      </source>
    </sources>
  </system.diagnostics>
  <system.web>
    <httpRuntime maxRequestLength="5120"/>
    <customErrors mode="RemoteOnly">
      <error statusCode="404" redirect="404.aspx"/>
      <error statusCode="500" redirect="500.aspx"/>
    </customErrors>
    <compilation targetFramework="4.0" debug="true"/>
    <authentication mode="Forms">
      <forms loginUrl="/Account/login.aspx" timeout="43200" defaultUrl="/"/>
    </authentication>
    <membership>
      <providers>
        <clear/>
        <add name="AspNetSqlMembershipProvider" type="PumpkinHouse.MembershipProvider" connectionStringName="DatabaseConnectionString" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10" applicationName="/"/>
      </providers>
    </membership>
    <profile>
      <providers>
        <clear/>
        <add name="AspNetSqlProfileProvider" type="System.Web.Profile.SqlProfileProvider" connectionStringName="DatabaseConnectionString" applicationName="/"/>
      </providers>
    </profile>
    <authorization>
      <allow users="*"/>
    </authorization>
    <roleManager enabled="true" defaultProvider="SqlRoleProvider">
      <providers>
        <add name="SqlRoleProvider" type="PumpkinHouse.RoleProvider" connectionStringName="DatabaseConnectionString" applicationName="/"/>
      </providers>
    </roleManager>
  </system.web>
  <system.web.extensions>
    <scripting>
      <scriptResourceHandler enableCompression="true" enableCaching="true"/>
    </scripting>
  </system.web.extensions>
  <location path="User/Dashboard.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="dashboard">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="User/Profile.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="profile">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="Service">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="Collect.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="Message.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="message">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="MessageThread.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="threads">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="Notice.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="notice">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="NewDiscussion.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="MyDiscussions.aspx">
    <system.web>
      <authorization>
        <deny users="?"/>
      </authorization>
    </system.web>
  </location>
  <location path="admin">
    <system.web>
      <authorization>
        <allow roles="admin"/>
        <deny users="*"/>
      </authorization>
    </system.web>
  </location>
  <system.webServer>
    <modules runAllManagedModulesForAllRequests="true"/>
    <rewrite>
      <rules>
        <clear/>
        <rule name="Picture" stopProcessing="true">
          <match url="^Picture/(\d+)$"/>
          <conditions logicalGrouping="MatchAll" trackAllCaptures="false"/>
          <action type="Rewrite" url="picture.aspx?pictureId={R:1}"/>
        </rule>
        <rule name="Home Page" stopProcessing="true">
          <match url="^(default|latest|hot)/(all|commodity)/(.*)"/>
          <conditions logicalGrouping="MatchAll" trackAllCaptures="false"/>
          <action type="Rewrite" url="default.aspx?mode={R:1}&amp;tag={R:3}&amp;commodityOnly={R:2}"/>
        </rule>
        <rule name="fan" stopProcessing="true">
          <match url="^user/(.+)/fans$"/>
          <conditions logicalGrouping="MatchAll" trackAllCaptures="false"/>
          <action type="Rewrite" url="Fans.aspx?username={R:1}&amp;mode=fans"/>
        </rule>
        <rule name="follow" stopProcessing="true">
          <match url="^user/(.+)/follows$"/>
          <conditions logicalGrouping="MatchAll" trackAllCaptures="false"/>
          <action type="Rewrite" url="Fans.aspx?username={R:1}&amp;mode=follows"/>
        </rule>
        <rule name="User" stopProcessing="true">
          <match url="^User/([\w\d]+)$"/>
          <conditions logicalGrouping="MatchAll" trackAllCaptures="false"/>
          <action type="Rewrite" url="/user/useralbum.aspx?username={R:1}"/>
        </rule>
        <rule name="Album" stopProcessing="true">
          <match url="^album/(\d+)$"/>
          <conditions logicalGrouping="MatchAll" trackAllCaptures="false"/>
          <action type="Rewrite" url="album.aspx?albumId={R:1}"/>
        </rule>
        <rule name="DefaultAlbum" stopProcessing="true">
          <match url="^album/default/(.+)$"/>
          <conditions logicalGrouping="MatchAll" trackAllCaptures="false"/>
          <action type="Rewrite" url="album.aspx?username={R:1}"/>
        </rule>
        <rule name="Dashboard" stopProcessing="true">
          <match url="^dashboard$"/>
          <conditions logicalGrouping="MatchAll" trackAllCaptures="false"/>
          <action type="Rewrite" url="user/dashboard.aspx"/>
        </rule>
        <rule name="notice-general" stopProcessing="true">
          <match url="^notice/general$"/>
          <action type="Rewrite" url="notice/NoticeAboutme.aspx"/>
        </rule>
        <rule name="notice-reply" stopProcessing="true">
          <match url="^notice/reply$"/>
          <action type="Rewrite" url="/notice/NoticeReply.aspx"/>
        </rule>
        <rule name="Notice-announcement" stopProcessing="true">
          <match url="^notice/announcement$"/>
          <action type="Rewrite" url="notice/noticeAnnouncement.aspx"/>
        </rule>
        <rule name="UserAlbums" stopProcessing="true">
          <match url="^User/([\w\d]+)/albums$"/>
          <action type="Rewrite" url="user/UserAlbum.aspx?username={R:1}"/>
        </rule>
        <rule name="UserLike" stopProcessing="true">
          <match url="^User/([\w\d]+)/like$"/>
          <action type="Rewrite" url="user/userlikeAlbum.aspx?username={R:1}"/>
        </rule>
        <rule name="UserAllCollection" stopProcessing="true">
          <match url="^User/([\w\d]+)/collect/(\w+)$"/>
          <action type="Rewrite" url="user/userCollect.aspx?username={R:1}&amp;mode={R:2}"/>
        </rule>
        <rule name="dashboard album" stopProcessing="true">
          <match url="^dashboard/albums$"/>
          <action type="Rewrite" url="user/useralbum.aspx?dashboard=1"/>
        </rule>
        <rule name="dashboard like" stopProcessing="true">
          <match url="^dashboard/like$"/>
          <action type="Rewrite" url="user/userlikealbum.aspx?dashboard=1"/>
        </rule>
        <rule name="dashboard collect" stopProcessing="true">
          <match url="^dashboard/collect/(\w+)$"/>
          <action type="Rewrite" url="user/usercollect.aspx?dashboard=1&amp;mode={R:1}"/>
        </rule>
        <rule name="search" stopProcessing="true">
          <match url="^search/(\w+)/(.+)?"/>
          <action type="Rewrite" url="search.aspx?type={R:1}&amp;keyword={R:2}"/>
        </rule>
        <rule name="message" stopProcessing="true">
          <match url="^message/([\w\d]+)$"/>
          <action type="Rewrite" url="message.aspx?target={R:1}"/>
        </rule>
        <rule name="message thread" stopProcessing="true">
          <match url="^threads$"/>
          <action type="Rewrite" url="messageThread.aspx"/>
        </rule>
        <rule name="profile" stopProcessing="true">
          <match url="^profile(#[\w\d]+)?$"/>
          <action type="Rewrite" url="User/Profile.aspx{R:1}"/>
        </rule>
      </rules>
    </rewrite>
  </system.webServer>
  <system.serviceModel>
    <standardEndpoints>
      <webHttpEndpoint>
        <standardEndpoint name="ajaxEndpointConfig" crossDomainScriptAccessEnabled="false"/>
      </webHttpEndpoint>
    </standardEndpoints>
    <bindings>
      <webHttpBinding/>
    </bindings>
    <behaviors>
      <serviceBehaviors>
        <behavior name="">
          <serviceMetadata httpGetEnabled="true"/>
          <serviceDebug includeExceptionDetailInFaults="false"/>
        </behavior>
      </serviceBehaviors>
    </behaviors>
    <services>
      <service name="PumpkinHouse.PublicService.Util">
        <endpoint address="ajax" kind="webHttpEndpoint" endpointConfiguration="ajaxEndpointConfig" contract="PumpkinHouse.PublicService.IUtil"/>
        <endpoint name="mexHttpbinding" contract="PumpkinHouse.PublicService.IUtil" binding="mexHttpBinding" address="mex"/>
      </service>
      <service name="PumpkinHouse.PublicService.AccountService">
        <endpoint address="ajax" kind="webHttpEndpoint" endpointConfiguration="ajaxEndpointConfig" contract="PumpkinHouse.PublicService.IAccountService"/>
        <endpoint name="mexHttpbinding" contract="PumpkinHouse.PublicService.IAccountService" binding="mexHttpBinding" address="mex"/>
      </service>
      <service name="PumpkinHouse.Service.UserService">
        <endpoint address="ajax" kind="webHttpEndpoint" endpointConfiguration="ajaxEndpointConfig" contract="PumpkinHouse.Service.IUserService"/>
        <endpoint name="mexHttpbinding" contract="PumpkinHouse.Service.IUserService" binding="mexHttpBinding" address="mex"/>
      </service>
      <service name="PumpkinHouse.PublicService.PublicService">
        <endpoint address="ajax" kind="webHttpEndpoint" endpointConfiguration="ajaxEndpointConfig" contract="PumpkinHouse.PublicService.IPublicService"/>
        <endpoint name="mexHttpbinding" contract="PumpkinHouse.PublicService.IPublicService" binding="mexHttpBinding" address="mex"/>
      </service>
      <service name="PumpkinHouse.AdminService.AdminService">
        <endpoint address="ajax" kind="webHttpEndpoint" endpointConfiguration="ajaxEndpointConfig" contract="PumpkinHouse.AdminService.IAdminService"/>
        <endpoint name="mexHttpbinding" contract="PumpkinHouse.AdminService.IAdminService" binding="mexHttpBinding" address="mex"/>
      </service>
    </services>
    <serviceHostingEnvironment aspNetCompatibilityEnabled="true" multipleSiteBindingsEnabled="true"/>
  </system.serviceModel>
</configuration>